/**
 * Describe an apeman-api-db
 * @function describe
 * @returns {Object} - $spec data
 */
'use strict';

/** @lends describe */

function describe() {
  return {
    ping: {
      desc: 'Test the reachability of the api',
      params: [{ name: 'pong', type: 'string', default: 'pong', desc: 'Pong message to return' }],
      returns: {
        type: 'string', desc: 'Pong message'
      }
    },

    setup: {
      desc: 'Setup database. Create user and schema unless exists',
      params: []
    },

    sync: {
      desc: 'Synchronize',
      params: [{ name: 'options', type: 'object', default: {}, desc: 'Sequelize sync options' }]
    },

    reset: {
      desc: 'Reset database',
      params: []
    },

    describe: {
      desc: 'Describe database',
      params: [],
      returns: {
        type: 'object', desc: 'Database description'
      }
    },

    seed: {
      desc: 'Apply database seed',
      params: [{ name: 'options', type: 'object', default: {}, desc: 'Sequelize seed options' }]
    },

    drop: {
      desc: 'Close the database'
    },

    close: {
      desc: 'Close the database'
    }
  };
}

module.exports = describe;
//# sourceMappingURL=data:application/json;base64,bnVsbA==